Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 24 Mar 2021 03:02:44 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I placed an order on 4th March 2021 paid via card and I just recived only 1 product by now , its so disappointing to see that it's almost 22 days now and I dint get any update about my order ! I'm very disappointed and when I called customer care service they advised me to cancel the order!!! 
How can ur team expect me to cancel the order after waiting for almost a month now? 
Pls sort this issue ASAP https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2293749